package com.zd.exam.mapper;

import com.zd.exam.domain.ElResources;

import java.util.List;

/**
 * 课件资源Mapper接口
 *
 * @author liubo
 * @date 2021-12-07
 */
public interface ElResourcesMapper {
    /**
     * 查询课件资源
     *
     * @param id 课件资源主键
     * @return 课件资源
     */
    public ElResources selectElResourcesById(Long id);

    /**
     * 查询课件资源列表
     *
     * @param elResources 课件资源
     * @return 课件资源集合
     */
    public List<ElResources> selectElResourcesList(ElResources elResources);

    /**
     * 新增课件资源
     *
     * @param elResources 课件资源
     * @return 结果
     */
    public int insertElResources(ElResources elResources);

    /**
     * 修改课件资源
     *
     * @param elResources 课件资源
     * @return 结果
     */
    public int updateElResources(ElResources elResources);

    /**
     * 删除课件资源
     *
     * @param id 课件资源主键
     * @return 结果
     */
    public int deleteElResourcesById(Long id);

    /**
     * 批量删除课件资源
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteElResourcesByIds(Long[] ids);

    List<ElResources> selectElResourcesListALL();
}
